# Increasing Reward Relayer

## 1. Summary <a href="#id-1-introduction-summary" id="id-1-introduction-summary"></a>

The `IncreasingRewardRelayer` is a contract meant to pull funds from the `StabilityFeeTreasury` and send them to a custom address. The relayer can only be called by a specific address that requests payments.

This contract inherits functionality from the [IncreasingTreasuryReimbursement](https://docs.reflexer.finance/system-contracts/sustainability-module/increasing-treasury-reimbursement) contract.

## 2. Contract Variables & Functions <a href="#id-2-contract-details" id="id-2-contract-details"></a>

**Variables**

* `refundRequestor` - address that can request funds
* `lastReimburseTime` - timestamp of the last reimbursement
* `reimburseDelay` - enforced gap between reimbursements

**Functions**

* `modifyParameters` - modify contract parameters
* `reimburseCaller(feeReceiver: address)` - send SF rewards from the treasury to the `feeReceiver`

## 3. Walkthrough <a href="#id-2-contract-details" id="id-2-contract-details"></a>

`refundRequestor` is the only address that can call `reimburseCaller` and request a stability fee payment from the treasury.

`reimburseCaller` can only be called again after at least `reimburseDelay` seconds have passed since the last call.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reflexer.finance/system-contracts/sustainability-module/increasing-reward-relayer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
